@echo off

: INPUT:    %1 file to be installed

: OUTPUT:   A  c:\windows\system\kbdru.kbd.w95
:           B  c:\windows\system\kbdru.kbd

: ACTION:   check if %1 exists
:           check if B exists
:           copy B to A if not already done
:           copy %1 to B

: NOTE:     This script assummes that windows is at the usual 
:           location on drive C

set A=c:\windows\system\kbdru.kbd.w95
set B=c:\windows\system\kbdru.kbd

: check if source file exists
if exist %1 goto :1

: fail, no source file
echo Failed to install an alternate Russian keyboard.
echo The file to be installed: "%1" does not exist.
goto :4

:1
: check if windows standard russian keyboard is installed
if exist %B% goto :2

: fail, no existing russian keyboard.
echo Failed to install an alternate Russian keyboard.
echo You must first install the standard windows Russian keyboard.
echo Do this at: Start\Settings\Control Panel\Keyboard\Language\Add.
echo You may have to first install the Multilingual feature.
echo Do this at: ....\Control Panel\Add/Remove Programs\Windows Setup.
goto :4

:2
: check if windows russian keyboard already saved
if exist %A% goto :3

: save existing windows russian keyboard for later restoration
copy /Y %B% %A% >> NUL:

:3
: copy new keyboard over the old keyboard
copy /Y %1 %B% >> NUL:

: show completion
echo The alternate Russian keyboard: "%1" was successfully installed.  
echo You need to restart Windows to use the new keyboard.

:4
: give the user a chance to read the messages, then exit
pause
exit
